%define	upstream_name    DateTime-TimeZone
%define upstream_version 1.95

# circular dependency
%if %{_use_internal_dependency_generator}
%define __noautoreq 'perl\\(DateTime::Duration\\)|perl\\(Win32::TieRegistry\\)'
%else
%define _requires_exceptions perl(DateTime)\\|perl(DateTime::Duration)
%endif

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	1
Epoch:		1

Summary:	Time zone object base class and factory
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		DateTime-TimeZone-1.83-Parse-etc-localtime-by-DateTime-TimeZone-Tzfile.patch

BuildRequires:	perl-devel
BuildRequires:	perl(Test::Fatal)
BuildRequires:	perl(Class::Load)
BuildRequires:	perl(Class::Singleton) >= 1.03
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Params::Validate) >= 0.72
BuildRequires:	perl(Pod::Man) >= 1.14
BuildRequires:	perl(Test::Requires)
BuildRequires:	perl(namespace::clean)
BuildRequires:	perl(DateTime::TimeZone::Tzfile)
BuildRequires:	perl(Test::Taint)

BuildArch:	noarch

Provides:	perl(DateTime::TimeZoneCatalog)
Requires:	perl(namespace::clean)
Requires:	perl(DateTime::TimeZone::Tzfile)

%description
This perl module defines the base class for all time zone objects. A time zone
is represented internally as a set of observances, each of which describes the
offset from GMT for a given time period.

Note that without the DateTime.pm module, this module does not do much. Its
primary interface is through a DateTime object, and most users will not need to
directly use DateTime::TimeZone methods.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1

%build
perl Makefile.PL installdirs=vendor destdir=%{buildroot}
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes 
%{perl_vendorlib}/DateTime
%{_mandir}/*/*

%changelog

* Tue Mar 15 2016 Denis Silakov <dsilakov@gmail.com> 1:1.950.0-1
- (ab093a3) Updated to 1.95


